local item=class("item")

function item:initialize(pos,loc,type)
	self.posInRoad=pos
	self.pos=pos --取posinroad
	self.loc=loc --[0,1]
	self:prepare()
	self.type="item"
end

function item:prepare()
	local size=road.blocks[self.pos].size
	local rot=road.blocks[self.pos].body:getAngle()
	local x,y=road.blocks[self.pos].body:getWorldPoints( -size*150+2*size*150*self.loc,0)
	self.body = love.physics.newBody(game.world, x, y, "dynamic")
	self.body:setAngle(rot)
	self.shape = love.physics.newRectangleShape(30*size, 30*size)
	self.fixture = love.physics.newFixture(self.body, self.shape, 1)
	--self.fixture:setSensor(true)
	self.fixture:setUserData(self)
end


function item:update()

end


function item:draw()
	love.graphics.setColor(0, 255, 0)
	love.graphics.polygon("line", self.body:getWorldPoints(self.shape:getPoints()))
end

return item